--declaring the existance of a table containing button info.
main_menu_buttons = {}

function main_menu_texture_load()
main_menu_texture = love.graphics.newImage("images/mainmenutexture.png")
end

function main_menu_buttons_load(number, width, height)
	local CentralX = find_central_x()
	local HalfWidth = width/2
	for var = 1, number, 1 do
		local var2 = var - 1
		main_menu_buttons[var].X = CentralX - HalfWidth
		main_menu_buttons[var].Y = 128 + var2 * 128
		main_menu_buttons[var].RelaxedImage = love.graphics.newImage("images/mainmenubutton"..var..".png")
		main_menu_buttons[var].HoverImage = love.graphics.newImage("images/mainmenubutton"..var.."hover.png")
		main_menu_buttons[var].Width = width
		main_menu_buttons[var].Height = height
		main_menu_buttons[var].Hover = false
	end
end

function find_central_x()
-- This function finds the central x coordinate
	local width = love.graphics.getWidth()
	centerx = width / 2
	return centerx
end

function find_central_y()
-- This function finds the central y coordinate
	local width = love.graphics.getHeight()
	centery = width / 2
	return centery
end


function main_menu_buttons_update(number)
	local MouseX = love.mouse.getX()
	local MouseY = love.mouse.getY()
	local var = 1
	for var = 1, number, 1 do
		if MouseX > main_menu_buttons[var].X 
		and MouseX < main_menu_buttons[var].X + main_menu_buttons[var].Width
		and MouseY > main_menu_buttons[var].Y 
		and MouseY < main_menu_buttons[var].Y  + main_menu_buttons[var].Height
		then
			main_menu_buttons[var].Hover = true
		else
			main_menu_buttons[var].Hover = false
		end
	end
		
end

function main_menu_buttons_draw(number)
	local var = 1
	for var = 1, number, 1 do
		if main_menu_buttons[var].Hover == true then
			love.graphics.draw(main_menu_buttons[var].HoverImage, main_menu_buttons[var].X main_menu_buttons[var].Y)
		else
			love.graphics.draw(main_menu_buttons[var].RelaxedImage, main_menu_buttons[var].X main_menu_buttons[var].Y)
		end
	end
end

function main_menu_texture_draw()
-- This is a function that draws the background texture on the main menu. It draws copies of the same texture until the screen is filled by them.
local width = love.graphics.getWidth()
local height = love.graphics.getHeight()
local current_x = 0
local current_y = 0
	for current_y = 0, height, 64 do
		for current_x = 0, width, 64 do
			love.graphics.draw(main_menu_texture, current_x, current_y)
			new_x = current_x + 64
			current_x = new_x
		end
		new_y = current_y + 64
	end
end